Unit MNR1NE_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure MNR1NE(var RV :Array of Extended; N :Integer; var Z :Extended);

implementation

procedure MNR1NE(var RV :Array of Extended; N :Integer; var Z :Extended);
var
I :Integer;
S,Z1 :Extended;
label
_1,_2,_3;
begin
{       //RV//=Z  : Z=ABS(MAX RV(I))* }
{      SQRT((RV(I)**2/ABS(MAX RV(I))**2)). }
Z := 0.e0;
for I:=1 to N do
 begin
  if ( Z >= Abs(RV[I-1]) ) 
   then goto _1;
  Z := Abs(RV[I-1]);
_1:
 end;
if ( Z = 0.e0 ) 
 then goto _3;
Z1 := 1.e0/Z;
S := 0.e0;
for I:=1 to N do
 begin
_2:
  S := S+IntPower(RV[I-1]*Z1,2);
 end;
Z := Sqrt(S)*Z;
_3:
end;

end.
